XISUITEDokumentation

Asset Schemas (Lists)

11 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

Get schema by key#

GET/spaces/{spaceId}/lists/key/{key}Token

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–
keyPflichtPfadstring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/key/{key}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

List all schemas in a space#

GET/spaces/{spaceId}/lists/schemasToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/schemas" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Create a schema#

POST/spaces/{spaceId}/lists/schemasToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–

Request-Bodyapplication/jsonCreateAssetSchemaDto

NameTypBeschreibung
namePflichtstring–
keyPflichtstring

Unique key per space, lowercase alphanumeric + underscores

descriptionstring–
iconstring–
fields_definitionobject[]–
column_configColumnConfigItemDto[]–
column_config[].idPflichtstring

Column identifier

column_config[].visiblePflichtboolean

Whether the column is visible

column_config[].orderPflichtnumber

Display order (0-based)

settingsobject–
permissionsobject–
field_group_idsstring[]–

Antworten

  • 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/schemas" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"…","key":"…"}'

Get schema by ID#

GET/spaces/{spaceId}/lists/schemas/{schemaId}Token

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–
schemaIdPflichtPfadstring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/schemas/{schemaId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Update a schema#

PUT/spaces/{spaceId}/lists/schemas/{schemaId}Token

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–
schemaIdPflichtPfadstring–

Request-Bodyapplication/jsonUpdateAssetSchemaDto

NameTypBeschreibung
namestring–
descriptionstring–
iconstring–
column_configColumnConfigItemDto[]–
column_config[].idPflichtstring

Column identifier

column_config[].visiblePflichtboolean

Whether the column is visible

column_config[].orderPflichtnumber

Display order (0-based)

settingsobject–
permissionsobject–
field_group_idsstring[]–

Antworten

  • 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/schemas/{schemaId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"…","description":"…","icon":"…"}'

Soft delete a schema#

DELETE/spaces/{spaceId}/lists/schemas/{schemaId}Token

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–
schemaIdPflichtPfadstring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/schemas/{schemaId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Add a column to a schema#

POST/spaces/{spaceId}/lists/schemas/{schemaId}/columnsToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–
schemaIdPflichtPfadstring–

Request-Bodyapplication/jsonAddColumnDto

NameTypBeschreibung
columnPflichtColumnConfigItemDto–
column.idPflichtstring

Column identifier

column.visiblePflichtboolean

Whether the column is visible

column.orderPflichtnumber

Display order (0-based)

Antworten

  • 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/schemas/{schemaId}/columns" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"column":"…"}'

Reorder all columns#

PUT/spaces/{spaceId}/lists/schemas/{schemaId}/columnsToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–
schemaIdPflichtPfadstring–

Request-Bodyapplication/jsonReorderColumnsDto

NameTypBeschreibung
column_orderPflichtColumnOrderDto[]–
column_order[].columnIdPflichtstring–
column_order[].orderPflichtnumber–

Antworten

  • 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/schemas/{schemaId}/columns" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"column_order":[]}'

Rename a column#

PUT/spaces/{spaceId}/lists/schemas/{schemaId}/columns/{columnId}Token

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–
schemaIdPflichtPfadstring–
columnIdPflichtPfadstring–

Request-Bodyapplication/jsonRenameColumnDto

NameTypBeschreibung
new_labelPflichtstring

New label for the column

Antworten

  • 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/schemas/{schemaId}/columns/{columnId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"new_label":"…"}'

Remove a column from a schema#

DELETE/spaces/{spaceId}/lists/schemas/{schemaId}/columns/{columnId}Token

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–
schemaIdPflichtPfadstring–
columnIdPflichtPfadstring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/schemas/{schemaId}/columns/{columnId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Export schema items as CSV#

GET/spaces/{spaceId}/lists/schemas/{schemaId}/exportToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–
schemaIdPflichtPfadstring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/lists/schemas/{schemaId}/export" \
  -H "Authorization: Bearer $XISUITE_TOKEN"
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions